//	CriticalSection.h - Simple class representing a critical section.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef CRITICALSECTION_H_
#define CRITICALSECTION_H_

#include "DllStuff.h"

typedef struct SDL_semaphore SDL_sem;

///	Simple class representing a critical section.
class dllStuff CriticalSection
{
  public:
	///	Constructor.
	CriticalSection();
	///	Destructor.
	~CriticalSection();

	///	(Waits until the critical section is free and) Locks the Critical Section.
	/*!
		\return True if it was successfully locked, false otherwise.
	 */
	bool lock();
	///	Unlocks the critical section.
	void unlock();
  private:
	///	The SDL semaphore this critical section is based on.
	SDL_sem *semaphore;
};

#endif
