//	GLHeaders.h - Wraps our OpenGL headers to (hopefully) make dependencies a
//				  bit less of a hassle.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef GLHEADERS_H_
#define GLHEADERS_H_

#include "DllStuff.h"

#include <string>
#include <GL/glew.h>

#ifdef WIN32
	#include <GL/gl.h>
	#include <GL/glu.h>
#elif defined(__MACOSX__)
	#include <OpenGL/gl.h>
	#include <OpenGL/glu.h>
#else //Assume Linux-type file system etc.
	#include <GL/gl.h>
	#include <GL/glu.h>
#endif

namespace HeilanGL
{
	///	Helper method to read in a text file and call glShaderSourceARB on it.
	/*!
		\param handle Handle to the shader object we're setting up.
		\param file Path to the text file with the shader code in it.
		\retval True if it succeeded, false otherwise.
	 */
	bool dllStuff setupShader(GLhandleARB handle, const std::string& file);

	///	Helper method to display the InfoLog from a shader to the console.
	void displayInfoLog(GLhandleARB handle);
}

#endif
