//	RubbishNoiseTexture.cpp - Noise texture based on rand().
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "RubbishNoiseTexture.h"

#include <cstdlib>

namespace HeilanX3D
{

//------------------------------------------------------------------------------
RubbishNoiseTexture::RubbishNoiseTexture(int components, int size):
ProceduralTexture(components, size)
{
	int x, y, c;

	for(y=0;y<size;++y)
	{
		for(x=0;x<size;++x)
		{
			for(c=0;c<components;++c)
				pixels[(((y*size)+x)*components)+c] = (float)rand() /
													  (float)RAND_MAX;
		}
	}
}

//------------------------------------------------------------------------------
RubbishNoiseTexture::~RubbishNoiseTexture()
{
	
}

}
