//	ThresholdPerlinTexture.cpp - Thresholded perlin noise texture.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "ThresholdPerlinTexture.h"

namespace HeilanX3D
{

//------------------------------------------------------------------------------
ThresholdPerlinTexture::ThresholdPerlinTexture(int components, int size):
PerlinTexture(components, size),
threshold(0.5f)
{
	int x, y, c;
	int tempint;

	for(y=0;y<size;++y)
	{
		for(x=0;x<size;++x)
		{
			for(c=0;c<components;++c)
			{
				tempint = (((y*size)+x)*components)+c;
				if(pixels[tempint] > threshold)
					pixels[tempint] = 1.0f;
				else
					pixels[tempint] = 0.0f;
			}
		}
	}
}

//------------------------------------------------------------------------------
ThresholdPerlinTexture::~ThresholdPerlinTexture()
{
	
}

//------------------------------------------------------------------------------
void ThresholdPerlinTexture::setThreshold(float val)
{
	threshold = val;
	generatePerlin();
}

}
