//	ThresholdPerlinTexture.h - Thresholded perlin noise texture.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef THRESHOLDPERLINTEXTURE_H_
#define THRESHOLDPERLINTEXTURE_H_

#include "PerlinTexture.h"

namespace HeilanX3D
{

///	Thresholded perlin noise texture.
/*!
	\ingroup libheilanextras
 */
class ThresholdPerlinTexture : public PerlinTexture
{
  public:
	///	Constructor.
	ThresholdPerlinTexture(int components = 1, int size = 256);
	///	Destructor.
	virtual ~ThresholdPerlinTexture();

	///	Sets the threshold, and re-generates the texture.
	void setThreshold(float val);
  private:
	///	The threshold to use.
	float threshold;
};

}

#endif
