//	AudiovisualParameter.h - Represents a single audiovisual parameter for Ashitaka.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef AUDIOVISUALPARAMETER_H_
#define AUDIOVISUALPARAMETER_H_

#include "Parameter.h"

namespace AshitakaClasses
{

///	Represents a single audiovisual parameter for Ashitaka.
/*!
	\ingroup libheilanextras
 */
class AudioVisualParameter
{
  public:
	///	Constructor.
	AudioVisualParameter() {};
	///	Destructor.
	~AudioVisualParameter() {};

	///	Input value to the parameter.
	Parameter input;
};

}

#endif
