//	Interface.h - The interface for the Ashitaka instrument.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef INTERFACE_H_
#define INTERFACE_H_

#include "Parameter.h"

namespace AshitakaClasses
{

///	The interface for the Ashitaka instrument.
/*!
	\ingroup libheilanextras

	This probably doesn't need to be a separate class, but it makes for a better
	structure, I think.
 */
class Interface
{
  public:
	///	Constructor.
	Interface() {};
	///	Destructor.
	~Interface() {};

	///	Length sensor.
	Parameter length;
	///	Twist sensor.
	Parameter twist;
	///	Force sensor 1.
	Parameter force1;
	///	Force sensor 2.
	Parameter force2;
	///	Force sensor 3.
	Parameter force3;
	///	Force sensor 4.
	Parameter force4;
	///	Accelerometer x-axis.
	Parameter accelX;
	///	Accelerometer y-axis.
	Parameter accelY;
	///	Accelerometer z-axis.
	Parameter accelZ;

	///	Slider 1.
	Parameter slider1;
	///	Slider 2.
	Parameter slider2;
	///	Slider 3.
	Parameter slider3;
	///	Slider 4.
	Parameter slider4;
	///	Slider 5.
	Parameter slider5;
	///	Slider 6.
	Parameter slider6;
	///	Slider 7.
	Parameter slider7;
	///	Slider 8.
	Parameter slider8;
	///	Slider 9.
	Parameter slider9;
};

}

#endif
