//	Map1InGtThanNormal.cpp - Mapping to map 0->1 to 0.5->1.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Map1InGtThanNormal.h"

#include <iostream>

using namespace std;

//------------------------------------------------------------------------------
Map1InGtThanNormal::Map1InGtThanNormal():
Parameter(),
constant(0.0f)
{
	
}

//------------------------------------------------------------------------------
Map1InGtThanNormal::~Map1InGtThanNormal()
{
	
}

//------------------------------------------------------------------------------
void Map1InGtThanNormal::setConstant(float val)
{
	constant = val;
	if(constant > 1.0f)
		constant = 1.0f;
}

//------------------------------------------------------------------------------
void Map1InGtThanNormal::valueChanged(float val)
{
	float tempf;

	if(val > constant)
		tempf = (val-constant) * (1.0f/(1.0f-constant));
	else
		tempf = 0.0f;

	Parameter::valueChanged(tempf);
}
