//	Map1InMultConst.h - Mapping to multiply its input by a constant value.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef MAP1INMULTCONST_H_
#define MAP1INMULTCONST_H_

#include "Parameter.h"

///	Mapping to multiply its input by a constant value.
/*!
	\ingroup AshitakaParameters
	\ingroup libheilanextras
 */
class Map1InMultConst : public Parameter
{
  public:
	///	Constructor.
	Map1InMultConst();
	///	Destructor.
	~Map1InMultConst();

	///	Sets the constant to multiply the input by.
	void setConstant(float val);

	///	Multiplies the input by the constant value, outputs the result.
	void valueChanged(float val);
  private:
	///	The constant value.
	float constant;
};

#endif
