//	Map1InParamFilter.h - Simple low pass filter for smoothing parameter
//						  changes.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef MAP1INPARAMFILTER_H_
#define MAP1INPARAMFILTER_H_

#include "Parameter.h"

///	Simple low pass filter for smoothing parameter changes.
/*!
	\ingroup AshitakaParameters
	\ingroup libheilanextras
 */
class Map1InParamFilter : public Parameter
{
  public:
	///	Constructor.
	Map1InParamFilter();
	///	Destructor.
	~Map1InParamFilter();

	///	Inverts the input, outputs the result.
	void valueChanged(float val);
  private:
	///	Coefficients.
	double coeff[3];
	///	Registers.
	double reg[3];
	///	Gains.
	double gain[3];
};

#endif
