//	Map1InSumConstNormal.cpp - Mapping to sum its input with a constant value,
//							   and normalise the output.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Map1InSumConstNormal.h"

//------------------------------------------------------------------------------
Map1InSumConstNormal::Map1InSumConstNormal():
Parameter(),
constant(0.0f)
{
	
}

//------------------------------------------------------------------------------
Map1InSumConstNormal::~Map1InSumConstNormal()
{
	
}

//------------------------------------------------------------------------------
void Map1InSumConstNormal::setConstant(float val)
{
	constant = val;
	if(constant > 1.0f)
		constant = 1.0f;
}

//------------------------------------------------------------------------------
void Map1InSumConstNormal::valueChanged(float val)
{
	Parameter::valueChanged((val * (1.0f-constant)) + constant);
}
