//	Map2InSumMultConst.cpp - Takes 2 parameters as inputs, sums them together
//							 then multiplies the result by a constant for the
//							 output.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Map2InSumMultConst.h"

#include <iostream>

using namespace std;

//------------------------------------------------------------------------------
Map2InSumMultConst::Map2InSumMultConst():
Parameter(),
param1(0),
param2(0),
constant(1.0f)
{
	
}

//------------------------------------------------------------------------------
Map2InSumMultConst::~Map2InSumMultConst()
{
	
}

//------------------------------------------------------------------------------
void Map2InSumMultConst::setInputs(Parameter *p1, Parameter *p2)
{
	param1 = p1;
	param2 = p2;
}

//------------------------------------------------------------------------------
void Map2InSumMultConst::setConstant(float val)
{
	constant = val;
}

//------------------------------------------------------------------------------
void Map2InSumMultConst::valueChanged(float val)
{
	if(param1 && param2)
	{
		float val1 = *param1;
		float val2 = *param2;

		Parameter::valueChanged((val1 + val2) * constant);
	}
}
