//	Map3InSum.cpp - Takes 3 parameters as inputs, sums them together for the
//					output.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Map3InSum.h"

#include <iostream>

using namespace std;

//------------------------------------------------------------------------------
Map3InSum::Map3InSum():
Parameter(),
param1(0),
param2(0),
param3(0)
{
	
}

//------------------------------------------------------------------------------
Map3InSum::~Map3InSum()
{
	
}

//------------------------------------------------------------------------------
void Map3InSum::setInputs(Parameter *p1, Parameter *p2, Parameter *p3)
{
	param1 = p1;
	param2 = p2;
	param3 = p3;
}

//------------------------------------------------------------------------------
void Map3InSum::valueChanged(float val)
{
	if(param1 && param2 && param3)
	{
		float val1 = *param1;
		float val2 = *param2;
		float val3 = *param3;

		Parameter::valueChanged(val1 + val2 + val3);
	}
}
