//	Parameter.cpp - Represents a parameter in Ashitaka, which may be mapped to
//					other Parameters.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Parameter.h"

//------------------------------------------------------------------------------
Parameter::Parameter(float initialVal):
value(initialVal)
{
	
}

//------------------------------------------------------------------------------
Parameter::~Parameter()
{
	
}

//------------------------------------------------------------------------------
void Parameter::registerCallback(ParameterCallback &callback)
{
	callbacks.push_back(&callback);
}

//------------------------------------------------------------------------------
Parameter &Parameter::operator>>(ParameterCallback& callback)
{
	callbacks.push_back(&callback);

	return *this;
}

//------------------------------------------------------------------------------
Parameter &Parameter::operator>>(Parameter& p2)
{
	callbacks.push_back(&p2);

	return p2;
}

//------------------------------------------------------------------------------
void Parameter::valueChanged(float val)
{
	changeValue(val);
}
