//	KeyTrigger.cpp - Class which generates boolean events when it receives a
//					 key.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "KeyTrigger.h"
#include "StringParser.h"

#include <iostream>

using namespace std;

namespace HeilanX3D
{

NodeConstructor<KeyTrigger> KeyTrigger::constructor;

//------------------------------------------------------------------------------
KeyTrigger::KeyTrigger():
lastActive(false)
{
	setType("KeyTrigger");
}

//------------------------------------------------------------------------------
KeyTrigger::~KeyTrigger()
{
	
}

//------------------------------------------------------------------------------
void KeyTrigger::setAttribute(const std::string& attribute, EventValue& val)
{
	//KeySensor always sends an active event before sending the key, so we use
	//this to determine whether the next key event is up or down.
	if(attribute == "set_activeVal")
	{
		StringParser parse(val);

		if(parse.getNumBools() > 0)
			lastActive = parse.getBool();
	}
	else if(attribute == "set_key")
	{
		cout << "KeyTrigger: " << (string)val << endl;
		if((string)val == "a")
			sendEvent("a_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "b")
			sendEvent("b_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "c")
			sendEvent("c_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "d")
			sendEvent("d_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "e")
			sendEvent("e_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "f")
			sendEvent("f_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "g")
			sendEvent("g_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "h")
			sendEvent("h_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "i")
			sendEvent("i_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "j")
			sendEvent("j_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "k")
			sendEvent("k_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "l")
			sendEvent("l_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "m")
			sendEvent("m_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "n")
			sendEvent("n_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "o")
			sendEvent("o_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "p")
			sendEvent("p_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "q")
			sendEvent("q_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "r")
			sendEvent("r_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "s")
			sendEvent("s_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "t")
			sendEvent("t_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "u")
			sendEvent("u_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "v")
			sendEvent("v_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "w")
			sendEvent("w_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "x")
			sendEvent("x_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "y")
			sendEvent("y_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "z")
			sendEvent("z_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "0")
			sendEvent("0_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "1")
			sendEvent("1_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "2")
			sendEvent("2_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "3")
			sendEvent("3_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "4")
			sendEvent("4_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "5")
			sendEvent("5_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "6")
			sendEvent("6_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "7")
			sendEvent("7_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "8")
			sendEvent("8_changed", (lastActive ? string("true") : string("false")));
		else if((string)val == "9")
			sendEvent("9_changed", (lastActive ? string("true") : string("false")));
	}
}
	
}
