//	OSCOutput.cpp - Any messages sent to this node get transmitted as OSC
//				    messages.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "OSCOutput.h"
#include "StringParser.h"
#include "OpenSoundController.h"
#include "OSCMessage.h"

using namespace std;

namespace HeilanX3D
{

NodeConstructor<OSCOutput> OSCOutput::constructor;

//------------------------------------------------------------------------------
OSCOutput::OSCOutput():
port(0)
{
	setType("OSCOutput");
}

//------------------------------------------------------------------------------
OSCOutput::~OSCOutput()
{
	
}

//------------------------------------------------------------------------------
void OSCOutput::setAttribute(const string& attribute, EventValue& val)
{
	if(attribute == "oscAddress")
		oscAddress = (string)val;
	else if(attribute == "ipAddress")
		ipAddress = (string)val;
	else if(attribute == "port")
		port = val;
	else if(attribute == "sffloatOutput")
	{
		OSC::Message mess;

		mess.setAddress(oscAddress);
		mess.addFloat32(val);

		OpenSoundController::getInstance()->sendOSCMessage(mess);
	}
	else if(attribute == "sfintOutput")
	{
		OSC::Message mess;

		mess.setAddress(oscAddress);
		mess.addInt32((int)val);

		OpenSoundController::getInstance()->sendOSCMessage(mess);
	}
}

}
