//	AmbisonicData.cpp - Simple struct representing an Ambisonic-ally encoded
//					    sample.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "AmbisonicData.h"

AmbisonicData dllStuff operator+(float op1, const AmbisonicData& op2)
{
	AmbisonicData retval;

	retval.W = op1 + op2.W;
	retval.X = op1 + op2.X;
	retval.Y = op1 + op2.Y;
	retval.Z = op1 + op2.Z;

	return retval;
}

AmbisonicData dllStuff operator-(float op1, const AmbisonicData& op2)
{
	AmbisonicData retval;

	retval.W = op1 - op2.W;
	retval.X = op1 - op2.X;
	retval.Y = op1 - op2.Y;
	retval.Z = op1 - op2.Z;

	return retval;
}

AmbisonicData dllStuff operator*(float op1, const AmbisonicData& op2)
{
	AmbisonicData retval;

	retval.W = op1 * op2.W;
	retval.X = op1 * op2.X;
	retval.Y = op1 * op2.Y;
	retval.Z = op1 * op2.Z;

	return retval;
}

AmbisonicData dllStuff operator/(float op1, const AmbisonicData& op2)
{
	AmbisonicData retval;

	retval.W = op1 / op2.W;
	retval.X = op1 / op2.X;
	retval.Y = op1 / op2.Y;
	retval.Z = op1 / op2.Z;

	return retval;
}
