//	MFString.h - Class representing an MFString.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef MFSTRING_H_
#define MFSTRING_H_

#include <string>
#include <vector>

///	Class representing an MFString.
class MFString
{
  public:
	///	Constructor converting a '-separated string into an MFString.
	MFString(const std::string& val);
	///	Destructor.
	~MFString();

	///	Returns the number of substrings.
	int getNumStrings() const {return strings.size();};
	///	Returns the indexed substring.
	const std::string& getString(int index) const {return strings[index];};
  private:
	///	The substrings in this MFString.
	std::vector<std::string> strings;
};

#endif
