//	Semaphore.cpp - Simple class representing a semaphore.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Semaphore.h"
#include "SDL.h"

//------------------------------------------------------------------------------
Semaphore::Semaphore():
semaphore(0)
{
	semaphore = SDL_CreateSemaphore(0);
}

//------------------------------------------------------------------------------
Semaphore::~Semaphore()
{
	unlock();
	SDL_Delay(100);
	SDL_DestroySemaphore(semaphore);
}

//------------------------------------------------------------------------------
void Semaphore::wait()
{
	SDL_SemWait(semaphore);
}

//------------------------------------------------------------------------------
void Semaphore::unlock()
{
	SDL_SemPost(semaphore);
}
