//	Thread.cpp - Simple thread base class.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Thread.h"
#include "FatalError.h"
#include "SDL_thread.h"

#include <sstream>

using namespace std;

//------------------------------------------------------------------------------
Thread::Thread():
thread(0)
{
	
}

//------------------------------------------------------------------------------
Thread::~Thread()
{
	if(thread)
		SDL_WaitThread(thread, NULL);
}

//------------------------------------------------------------------------------
void Thread::startThread(Thread *threadPointer)
{
	if(!thread)
	{
		thread = SDL_CreateThread(threadMethod,
								  static_cast<void *>(threadPointer));
		if(!thread)
		{
			ostringstream err;
			err << "Could not create thread.  Assuming this is a fatal error...";
			throw FatalError(err.str());
		}
	}
}

//------------------------------------------------------------------------------
int Thread::threadMethod(void *data)
{
	Thread *thread = static_cast<Thread *>(data);

	if(thread->run())
		return 1;
	else
		return 0;
}
