//	main.cpp - The main part of the application.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Application.h"
#include "FatalError.h"

#include "SDL.h"
#include <iostream>

using namespace std;

//------------------------------------------------------------------------------
int main(int argc, char* argv[])
{
	int i;
	CmdLineParams args;

	try
	{
		for(i=0;i<argc;++i)
			args.push_back(string(argv[i]));

		Application app(args);

		app.eventLoop();
	}
	catch(FatalError err)
	{
		err.display();
	}
	catch(...)
	{
		cout << "Unknown exception caught." << endl;
	}

	SDL_ShowCursor(SDL_ENABLE);
	SDL_Quit();

	return 0;
}
