//	Appearance.h - Class representing the Appearance parent node.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef APPEARANCE_H_
#define APPEARANCE_H_

#include "ParentNode.h"

namespace HeilanX3D
{

///	Class representing the Appearance parent node.
class Appearance : public ParentNode
{
  public:
	///	Constructor.
	Appearance();
	///	Destructor.
	~Appearance();

	///	Implemented to do nothing.
	/*!
		We ignore the bboxCenter and bboxSize attributes, because we won't use
		them.
	 */
	void setAttribute(const std::string& attribute, EventValue& val) {};

	static NodeConstructor<Appearance> constructor;
  private:
	///	Implemented to do nothing.
	void audioBlockSizeChanged(int newSize) {};
};

}

#endif
