//	Billboard.h - Class representing the Billboard parent node.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef BILLBOARD_H_
#define BILLBOARD_H_

#include "ParentNode.h"

namespace HeilanX3D
{

///	Class representing the Billboard parent node.
class Billboard : public ParentNode
{
  public:
	///	Constructor.
	Billboard();
	///	Destructor.
	~Billboard();

	///	Used to set the transform's attributes..
	void setAttribute(const std::string& attribute, EventValue& val);

	static NodeConstructor<Billboard> constructor;
  private:
	///	We override this so we can save and restore the current OpenGL matrix.
	void preChildDraw();
	///	We override this so we can save and restore the current OpenGL matrix.
	void postChildDraw();

	///	Overridden to do nothing.
	void audioBlockSizeChanged(int newSize) {};

	///	The axis of rotation attribute.
	ThreeFloats axisOfRotation;
};

}

#endif
