//	BooleanToggle.cpp - Class representing the BooleanToggle node.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "BooleanToggle.h"
#include "StringParser.h"

using namespace std;

namespace HeilanX3D
{

NodeConstructor<BooleanToggle> BooleanToggle::constructor;

//------------------------------------------------------------------------------
BooleanToggle::BooleanToggle():
toggle(false)
{
	setType("BooleanToggle");
}

//------------------------------------------------------------------------------
BooleanToggle::~BooleanToggle()
{
	
}

//------------------------------------------------------------------------------
void BooleanToggle::setAttribute(const std::string& attribute, EventValue& val)
{
	if(attribute == "set_boolean")
	{
		StringParser parse(val);

		if(parse.getNumBools() > 0)
		{
			if(parse.getBool())
			{
				string tempstr;

				toggle = !toggle;
				if(toggle)
					tempstr = "true";
				else
					tempstr = "false";
				sendEvent("toggle", tempstr);
			}
		}
	}
	else if(attribute == "toggle")
	{
		StringParser parse(val);

		if(parse.getNumBools() > 0)
		{
			string tempstr;
	
			toggle = parse.getBool();
			if(toggle)
				tempstr = "true";
			else
				tempstr = "false";
			sendEvent("toggle", tempstr);
		}
	}
}
	
}
