//	IntegerTrigger.cpp - Class representing the IntegerTrigger node.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "IntegerTrigger.h"
#include "StringParser.h"

#include <sstream>

using namespace std;

namespace HeilanX3D
{

NodeConstructor<IntegerTrigger> IntegerTrigger::constructor;

//------------------------------------------------------------------------------
IntegerTrigger::IntegerTrigger():
integerKey(0)
{
	setType("IntegerTrigger");
}

//------------------------------------------------------------------------------
IntegerTrigger::~IntegerTrigger()
{
	
}

//------------------------------------------------------------------------------
void IntegerTrigger::setAttribute(const string& attribute, EventValue& val)
{
	if(attribute == "set_boolean")
		sendEvent("triggerValue", integerKey);
	else if(attribute == "integerKey")
		integerKey = val;
}
	
}
