//	IntegerTrigger.h - Class representing the IntegerTrigger node.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef INTEGERTRIGGER_H_
#define INTEGERTRIGGER_H_

#include "AbstractNode.h"

namespace HeilanX3D
{

///	Class representing the IntegerTrigger node.
class IntegerTrigger : public ChildNode
{
  public:
	///	Constructor.
	IntegerTrigger();
	///	Destructor.
	~IntegerTrigger();

	///	Over-ridden to do nothing.
	void graphicDoStuff() {};
	///	Over-ridden to do nothing.
	void setBlockSize(int newSize) {};

	///	Where the main work this class does happens.
	void setAttribute(const std::string& attribute, EventValue& val);

	static NodeConstructor<IntegerTrigger> constructor;
  private:
	///	The value to send when a boolean event is received.
	int integerKey;
};

}

#endif
