//	MultiTextureCoordinate.cpp - Class representing the MultiTextureCoordinate
//								 parent node.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "MultiTextureCoordinate.h"

namespace HeilanX3D
{

NodeConstructor<MultiTextureCoordinate> MultiTextureCoordinate::constructor;

//------------------------------------------------------------------------------
MultiTextureCoordinate::MultiTextureCoordinate():
ParentNode()
{
	setType("MultiTextureCoordinate");
	setVisual(true);
}

//------------------------------------------------------------------------------
MultiTextureCoordinate::~MultiTextureCoordinate()
{
	
}

//------------------------------------------------------------------------------
void MultiTextureCoordinate::childrenLoaded()
{
	unsigned int i;
	TextureCoordinate *tempCoord = 0;

	for(i=0;(i<(unsigned)getNumChildren()) || (i < 2);++i)
	{
		tempCoord = dynamic_cast<TextureCoordinate *>(getChild(i));

		if(tempCoord)
			childTex.push_back(tempCoord);
	}
}

}
