//	MultiTextureTransform.cpp - Class representing the MultiTextureTransform
//								 parent node.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "MultiTextureTransform.h"
#include "GLHeaders.h"

namespace HeilanX3D
{

NodeConstructor<MultiTextureTransform> MultiTextureTransform::constructor;

//------------------------------------------------------------------------------
MultiTextureTransform::MultiTextureTransform():
ParentNode()
{
	setType("MultiTextureTransform");
	setVisual(true);
}

//------------------------------------------------------------------------------
MultiTextureTransform::~MultiTextureTransform()
{
	
}

//------------------------------------------------------------------------------
void MultiTextureTransform::graphicDoStuff()
{
	AbstractNode *tempNode = 0;

	//We assume every child node is a texture node.

	//--1st texture--
	tempNode = getChild(0);
	if(tempNode)
	{
		glActiveTextureARB(GL_TEXTURE0_ARB);

		if(tempNode->isVisual())
			tempNode->graphicDoStuff();
	}

	//--2nd texture--
	tempNode = getChild(1);
	if(tempNode)
	{
		glActiveTextureARB(GL_TEXTURE1_ARB);

		if(tempNode->isVisual())
			tempNode->graphicDoStuff();
	}
}

}
