//	ShaderProgram.cpp - Class representing shader code.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "ShaderProgram.h"
#include "FileFinder.h"

#include "GLHeaders.h"

using namespace std;

namespace HeilanX3D
{

NodeConstructor<ShaderProgram> ShaderProgram::constructor;

//------------------------------------------------------------------------------
ShaderProgram::ShaderProgram():
ChildNode()
{
	setType("ShaderProgram");
}

//------------------------------------------------------------------------------
ShaderProgram::~ShaderProgram()
{
	
}

//------------------------------------------------------------------------------
void ShaderProgram::setAttribute(const string& attribute, EventValue& val)
{
	if(attribute == "url")
		url = FileFinder::getInstance().findFile(val);
	else if(attribute == "type")
		type = (string)val;
}

}
