//	TextureCoordinateGenerator.h - Class representing a texture coordinate
//								   generator.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef TEXTURECOORDINATEGENERATOR_H_
#define TEXTURECOORDINATEGENERATOR_H_

#include "AbstractNode.h"

#include <vector>

namespace HeilanX3D
{

///	Class representing a texture coordinate generator.
/*!
	\todo Test it actually works.
	\todo Implement all modes (currently just GL_OBJECT_LINEAR, GL_EYE_LINEAR,
	GL_SPHERE_MAP from OpenGL).
 */
class TextureCoordinateGenerator : public ChildNode
{
  public:
	///	Constructor.
	TextureCoordinateGenerator();
	///	Destructor.
	~TextureCoordinateGenerator();

	///	Sets up the TextureCoordinateGenerator.
	void graphicDoStuff();
	///	Not used, overridden to do nothing.
	/*AmbisonicData *audioDoStuff(int numSamples,
								const ThreeFloats& pos) {return 0;};*/

	///	Not used, overridden to do nothing.
	void setBlockSize(int newSize) {};

	///	Used to set the size and solidity of the box.
	void setAttribute(const std::string& attribute, EventValue& val);

	static NodeConstructor<TextureCoordinateGenerator> constructor;
  private:
	///	The texture generation mode.
	std::string mode;
	///	Any parameters used.
	std::vector<float> parameter;
};

}

#endif
