//	TimeTrigger.cpp - Class representing the TimeTrigger node.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "TimeTrigger.h"

#include <sstream>

using namespace std;

namespace HeilanX3D
{

NodeConstructor<TimeTrigger> TimeTrigger::constructor;

//------------------------------------------------------------------------------
TimeTrigger::TimeTrigger():
time(0.0),
invSamplerate(1.0f/44100.0f)
{
	setType("TimeTrigger");
	setAural();
}

//------------------------------------------------------------------------------
TimeTrigger::~TimeTrigger()
{
	
}

//------------------------------------------------------------------------------
AmbisonicData *TimeTrigger::getMonoAudio(int numSamples)
{
	int i;

	for(i=0;i<numSamples;++i)
		time += invSamplerate;

	return 0;
}

//------------------------------------------------------------------------------
void TimeTrigger::setSamplerate(float val)
{
	invSamplerate = 1.0/static_cast<double>(val);
}

//------------------------------------------------------------------------------
void TimeTrigger::setAttribute(const string& attribute, EventValue& val)
{
	if(attribute == "set_boolean")
		sendEvent("triggerTime", (float)time);
}
	
}
