//	WorldInfo.h - Class holding information about the scene.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef WORLDINFO_H_
#define WORLDINFO_H_

#include "AbstractNode.h"

namespace HeilanX3D
{

///	Class holding information about the scene.
class WorldInfo : public ChildNode
{
  public:
	///	Constructor.
	WorldInfo();
	///	Destructor.
	~WorldInfo();

	///	Draws the WorldInfo.
	void graphicDoStuff();
	///	Not used, overridden to do nothing.
	/*AmbisonicData *audioDoStuff(int numSamples,
								const ThreeFloats& pos) {return 0;};*/

	///	Not used, overridden to do nothing.
	void setBlockSize(int newSize) {};

	///	Used to set the size and solidity of the box.
	void setAttribute(const std::string& attribute, EventValue& val);

	static NodeConstructor<WorldInfo> constructor;
  private: 
};

}

#endif
