//	OscRecorder.cpp - Singleton class used to record OSC messages.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "OscRecorder.h"

using namespace std;

//------------------------------------------------------------------------------
OscRecorder *OscRecorder::getInstance()
{
	static OscRecorder retval;

	return &retval;
}

//------------------------------------------------------------------------------
void OscRecorder::writeMessage(const std::string& address,
					  		   const std::string& param,
					  		   const std::string& value)
{
	if(filepath != "")
	{
		outFile << sampleVal << " ";
		outFile << address << " ";
		outFile << param << " ";
		outFile << value << endl;
	}
}

//------------------------------------------------------------------------------
void OscRecorder::updateSampleVal(unsigned int val)
{
	sampleVal += val;
}

//------------------------------------------------------------------------------
void OscRecorder::setFile(const std::string& file)
{
	if(file != "")
	{
		filepath = file;

		outFile.open(filepath.c_str());
	}
}

//------------------------------------------------------------------------------
OscRecorder::OscRecorder():
sampleVal(0)
{
	
}

//------------------------------------------------------------------------------
OscRecorder::~OscRecorder()
{
	
}
