//	SceneConstructor.cpp - Class to handle certain scene construction
//						   operations.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "SceneConstructor.h"
#include "AbstractNode.h"
#include "ParentNode.h"

using namespace std;

namespace HeilanX3D
{

//------------------------------------------------------------------------------
SceneConstructor::SceneConstructor():
rootNode(0)
{
	
}

//------------------------------------------------------------------------------
SceneConstructor::~SceneConstructor()
{
	
}

//------------------------------------------------------------------------------
void SceneConstructor::pushParent(ParentNode *node)
{
	parentNodes.push(node);
	if(parentNodes.size() < 1)
		setRoot(node);
}

//------------------------------------------------------------------------------
void SceneConstructor::popParent()
{
	parentNodes.pop();
}

//------------------------------------------------------------------------------
void SceneConstructor::setRoot(ParentNode *node)
{
	rootNode = node;
	parentNodes.push(rootNode);
}

//------------------------------------------------------------------------------
ParentNode *SceneConstructor::getCurrentParent() const
{
	if(parentNodes.size() > 0)
		return parentNodes.top();
	else
		return 0;
}

}
