//	NoneNavigation.h - Navigation class implementing the X3D 'NONE' option.
//  ----------------------------------------------------------------------------
//	This file is part of 'Heilan Browser', an X3D browser specialised for audio
//	work.
//	Copyright (C) 2005-2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef NONENAVIGATION_H_
#define NONENAVIGATION_H_

#include "Navigation.h"
#include "ThreeFloats.h"
#include "FourFloats.h"

namespace HeilanX3D
{

///	Navigation class implementing the X3D 'NONE' option.
/*!
	i.e. The user has no control over the camera.
 */
class NoneNavigation : public Navigation
{
  public:
	///	Constructor.
	NoneNavigation();
	///	Destructor.
	~NoneNavigation();

	static NavigationConstructor<NoneNavigation> constructor;
};

}

#endif
